bk://bk.arm.linux.org.uk/linux-2.6-serial
rmk@flint.arm.linux.org.uk|ChangeSet|20040510225617|03327 rmk

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/05/10 23:56:17+01:00 rmk@flint.arm.linux.org.uk 
#   [SERIAL] Fix exit function pointer initialisers
#   
#   This wraps pointer initialisers to functions marked __devexit with
#   __devexit_p.
# 
# drivers/serial/8250_pci.c
#   2004/05/10 23:53:49+01:00 rmk@flint.arm.linux.org.uk +4 -4
#   exit function pointer initialisers should be marked with __devexit_p
# 
diff -Nru a/drivers/serial/8250_pci.c b/drivers/serial/8250_pci.c
--- a/drivers/serial/8250_pci.c	Wed May 12 20:32:25 2004
+++ b/drivers/serial/8250_pci.c	Wed May 12 20:32:25 2004
@@ -704,7 +704,7 @@
 		.subdevice	= PCI_SUBDEVICE_ID_OCTPRO232,
 		.init		= sbs_init,
 		.setup		= sbs_setup,
-		.exit		= sbs_exit
+		.exit		= __devexit_p(sbs_exit),
 	},
 	/*
 	 * SBS Technologies, Inc., PMC-OCTALPRO 422
@@ -716,7 +716,7 @@
 		.subdevice	= PCI_SUBDEVICE_ID_OCTPRO422,
 		.init		= sbs_init,
 		.setup		= sbs_setup,
-		.exit		= sbs_exit
+		.exit		= __devexit_p(sbs_exit),
 	},
 	/*
 	 * SBS Technologies, Inc., P-Octal 232
@@ -728,7 +728,7 @@
 		.subdevice	= PCI_SUBDEVICE_ID_POCTAL232,
 		.init		= sbs_init,
 		.setup		= sbs_setup,
-		.exit		= sbs_exit
+		.exit		= __devexit_p(sbs_exit),
 	},
 	/*
 	 * SBS Technologies, Inc., P-Octal 422
@@ -740,7 +740,7 @@
 		.subdevice	= PCI_SUBDEVICE_ID_POCTAL422,
 		.init		= sbs_init,
 		.setup		= sbs_setup,
-		.exit		= sbs_exit
+		.exit		= __devexit_p(sbs_exit),
 	},
 
 	/*
